Subject: RE: a.exe works only if stripped (newbie question)
From: [email-masked] (Kevin Hughes)

6 Feb 1998 07:23:38 -0800
Message-ID: <01BD32F9.A2CC37A0.cygnus.gnu-win32@RODNEY>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "'John Gerard Malecki'" <[email-masked]>,
        "[email-masked]"
	 <[email-masked]>

John wrote:

I'm new to GNU-Win32, Windows-NT and PCs in general.  I have ported
Matthias Blume's scheme interpreter VSCM to the most recent version of
GNU-Win32.  The executable runs only after it is stripped.  For
example,
bash.exe-2.01$ ./scheme.exe bash.exe: ./scheme.exe: Not owner bash.exe-2.01$ strip ./scheme.exe bash.exe-2.01$ ./scheme.exe Welcome to VSCM (V0r4)
	>

It does not seem to matter whether I use basic b18 or I enhance it with coolview.  It does not matter whether it was compiled with -g or -O.  So far it works well but if a bug does crop up it sure would be nice to run gdb on the executable.

I had exaclty the same problem with a very large pice of s/w which used large tables. I have tried with egcs and it
Works - well I don't need to strip it to get an executable .exe file. So try the egcs verion is my recommendation

Kevin

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".